// Initialize Canvas
canvas = document.getElementById("canvas");
var stage = new createjs.Stage("canvas");
//


/* Start of Main Container */
var main_container = new createjs.Container();
/* End of Main Container */


/* Start of Main Container Elements */
var shapeDiagram = new createjs.Bitmap("images/hotel-v3.png"); 
shapeDiagram.scaleX = shapeDiagram.scaleY =0.9;
//Align on Stage
shapeDiagram.x = 68;
shapeDiagram.y = 20;

/* Start of Floors Number Container Elements*/
//Container
var floorsNumberContainer = new createjs.Container();
//Box for the text
var floorsNumberBox = new createjs.Shape();    
floorsNumberBox.graphics.beginStroke("#459393").setStrokeStyle(4).beginFill("#39454a").drawRoundRectComplex(0, 0, 240, 50, 4, 4, 4, 4);
//Text
var floorsNumberText = new createjs.Text("Αριθμός Ορόφων: 0", "bold 16px Arial", "#f3f3f3");
floorsNumberText.textAlign = "left";
floorsNumberContainer.x=shapeDiagram.x+420; //shapeDiagram.x+100;
floorsNumberContainer.y=shapeDiagram.y+80; //shapeDiagram.y+145;
floorsNumberText.x=12;
floorsNumberText.y=18;
//Add Items to their container
floorsNumberContainer.addChild(floorsNumberBox,floorsNumberText);

/* End of Floors Number Container Elements */

/* Start of Floors Number Container Elements*/
//Container
var flowResContainer = new createjs.Container();
//Box for the text
var flowResBox = new createjs.Shape();    
flowResBox.graphics.beginStroke("#459393").setStrokeStyle(4).beginFill("#39454a").drawRoundRectComplex(0, 0, 240, 50, 4, 4, 4, 4);
//Text
var flowResText = new createjs.Text("Αντιστάσεις Ροής: 0 mΥΣ", "bold 16px Arial", "#f3f3f3");
flowResText.textAlign = "left";
flowResContainer.x=shapeDiagram.x+420; //shapeDiagram.x+100;
flowResContainer.y=shapeDiagram.y+160; //shapeDiagram.y+295;
flowResText.x=12;
flowResText.y=18;
//Add Items to their container
flowResContainer.addChild(flowResBox,flowResText);

/* End of Floors Number Container Elements */

/*-- Start Show Charts --*/

//Chart1
var chartsImg1 = new createjs.Bitmap("images/chart1.jpg");
chartsImg1.scaleX = chartsImg1.scaleY =0.7;
chartsImg1.shadow = new createjs.Shadow("#333", 4, 4,10);
var chartsFlag1 = false;


//function for ON/OFF
function showCharts1() {
    if (chartsFlag1 == false) {
        $('#diagram2 input[type="checkbox"]').prop('checked', false);
		$('#diagram3 input[type="checkbox"]').prop('checked', false);
		chartsFlag1 = true;
        main_container.addChild(chartsImg1);
		main_container.removeChild(chartsImg2);
		main_container.removeChild(chartsImg3);
    } else {
		$('#diagram1 input[type="checkbox"]').prop('checked', false);
        main_container.removeChild(chartsImg1);
        chartsFlag1 = false;
    }
    chartsImg1.scaleX = chartsImg1.scaleY =0.57;
    chartsImg1.x = shapeDiagram.x-60;
    chartsImg1.y = shapeDiagram.y;
    stage.update();
    return chartsFlag1;
}


//Chart2
var chartsImg2 = new createjs.Bitmap("images/chart2.jpg");
chartsImg2.scaleX = chartsImg2.scaleY =0.7;
chartsImg2.shadow = new createjs.Shadow("#333", 4, 4,10);
var chartsFlag2 = false;

//function for ON/OFF
function showCharts2() {
    if (chartsFlag2 == false) {
		$('#diagram1 input[type="checkbox"]').prop('checked', false);
		$('#diagram3 input[type="checkbox"]').prop('checked', false);
        main_container.removeChild(chartsImg1);
		main_container.removeChild(chartsImg3);
		chartsFlag2 = true;
        main_container.addChild(chartsImg2);
    } else {
        $('#diagram2 input[type="checkbox"]').prop('checked', false);
		main_container.removeChild(chartsImg2);
        chartsFlag2 = false;
    }
    chartsImg2.scaleX = chartsImg2.scaleY =0.57;
    chartsImg2.x = shapeDiagram.x-60;
    chartsImg2.y = shapeDiagram.y;
    stage.update();
    return chartsFlag2;
}


//Chart3
var chartsImg3 = new createjs.Bitmap("images/chart3.jpg");
chartsImg3.scaleX = chartsImg3.scaleY =0.7;
chartsImg3.shadow = new createjs.Shadow("#333", 4, 4,10);
var chartsFlag3 = false;

//function for ON/OFF
function showCharts3() {
    if (chartsFlag3 == false) {
		$('#diagram1 input[type="checkbox"]').prop('checked', false);
		$('#diagram2 input[type="checkbox"]').prop('checked', false);
		main_container.removeChild(chartsImg1);
		main_container.removeChild(chartsImg2);
        chartsFlag3 = true;
        main_container.addChild(chartsImg3);
    } else {
		$('#diagram3 input[type="checkbox"]').prop('checked', false);
        main_container.removeChild(chartsImg3);
        chartsFlag3 = false;
    }
    chartsImg3.scaleX = chartsImg3.scaleY =0.57;
    chartsImg3.x = shapeDiagram.x-60;
    chartsImg3.y = shapeDiagram.y;
    stage.update();
    return chartsFlag3;
}
/*-- End Show Charts --*/
/* Start of Hit Area Contents */
//Chart3
var imgAntlia = new createjs.Bitmap("images/imgAntlia.png");
//imgAntlia.scaleX = imgAntlia.scaleY =0.7;
imgAntlia.shadow = new createjs.Shadow("#333", 4, 4,10);
//
imgAntlia.x = shapeDiagram.x+380;
imgAntlia.y = shapeDiagram.y+205;
//
var imgAntliaFlag = false;
//function to show the antliaImage
function showAntlia() {
    if (imgAntliaFlag == false) {
        imgAntliaFlag = true;
        main_container.addChild(imgAntlia,closeHit);
    } else if (imgAntliaFlag == true) {
        main_container.removeChild(imgAntlia,closeHit);
        imgAntliaFlag = false;
    }
    imgAntlia.scaleX = imgAntlia.scaleY =0.7;
    //
    stage.update();
    return imgAntliaFlag;
}
//Close Hit Area
var closeHit = new createjs.Shape();    
//closeHit.graphics.setStrokeStyle(2).beginStroke("#000").rect(0, 0, 35, 35);
var closeHitArea = new createjs.Shape();
closeHitArea.graphics.beginFill("#000").rect(0, 0, 35, 35);
closeHit.x = shapeDiagram.x+630;
closeHit.y = shapeDiagram.y+203;
closeHit.hitArea = closeHitArea;
closeHit.cursor = "pointer";
closeHit.on("click", function() {
    // Handle specific cases.
    showAntlia();
    //main_container.addChild(hitAreaImgContainer);
});

/* End of Hit Area Contents */

/*-- Starf of Hit Area --*/
var shapeHit = new createjs.Shape();    
//shapeHit.graphics.setStrokeStyle(2).beginStroke("#000").rect(0, 0, 50, 50);
var hitArea = new createjs.Shape();
hitArea.graphics.beginFill("#000").rect(0, 0, 50, 50);
shapeHit.x = 500;
shapeHit.y = 600;
shapeHit.hitArea = hitArea;
shapeHit.cursor = "pointer";
shapeHit.on("click", function() {
    // Handle specific cases.
    showAntlia();

    //main_container.addChild(hitAreaImgContainer);
});
/*-- End of Hit Area --*/
//Add Childs to Main Container
main_container.addChild(shapeDiagram,floorsNumberContainer,flowResContainer,shapeHit);


// Put elements on stage
stage.addChild(main_container);

// Update stage
stage.enableMouseOver();
stage.update();

